import { TouchBaseSchema } from '@isa/common/data-access';
import { z } from 'zod';

export const PromotionSchema = z
  .object({
    value: z.number().describe('Value').optional(),
    type: z.string().describe('Type').optional(),
    code: z.string().describe('Code value').optional(),
    label: z.string().describe('Label').optional(),
  })
  .extend(TouchBaseSchema.shape);

export type Promotion = z.infer<typeof PromotionSchema>;
